Classes (extension) | UGens>Emulators

# Astrocade : UGen : AbstractFunction : Object
Extension

Sound Chip Simulator
Source: Astrocade.sc
See also: Beep

## Description

Astrocade custom 'IO' chip sound chip driver by Aaron Giles and Frank Palazzolo.

NOTE: Not sure this is working as it should, but it's still somewhat fun sounding.

## Class Methods

### Astrocade.ar(reg0: 0, reg1: 127, reg2: 0, reg3: 0, reg4: 0, reg5: 0, reg6: 15, reg7: 0)

#### Arguments:

reg0 |
bits 7-0 | master oscillator frequency (8bits 0-255)
reg1 |
bits 7-0 | tone generator A frequency (8bits 0-255)
reg2 |
bits 7-0 | tone generator B frequency (8bits 0-255)
reg3 |
bits 7-0 | tone generator C frequency (8bits 0-255)
reg4 |
bits 7-6 | vibrato speed
bits 5-0 | vibrato depth (6bits 0-63)
reg5 |
bit 5 | noise AM enable
bit 4 | mux source (0=vibrato, 1=noise)
bits 3-0 | tone generator C volume (4bits 0-15)
reg6 |
bits 7-4 | tone generator B volume
bits 3-0 | tone generator A volume (4bits 0-15)
reg7 |
bits 7-0 | noise volume (8bits 0-255)

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

s.boot; {Astrocade.ar}.play {Astrocade.ar(1)}.play {Astrocade.ar(2)}.play {Astrocade.ar(2, 50)}.play //--all three tones {Astrocade.ar(0, MouseX.kr(0, 255), 100, 200, reg5:2r00001111, reg6:2r111111)}.play //--noise only {Astrocade.ar(reg5:2r00100000, reg6:0, reg7:255)}.play {Pan2.ar(Astrocade.ar(LFSaw.kr(1, 0, 10, 10), 25, reg4:MouseX.kr(0, 255), reg5:MouseY.kr(0, 15)))}.play {Pan2.ar(Astrocade.ar(SinOsc.kr(4, 0, 10, 10), SinOsc.kr(0.1, 0, 5, 20), reg4:MouseX.kr(0, 255), reg5:2r00010000, reg6:2r00001111, reg7:MouseY.kr(0, 15)))}.play {Pan2.ar(Astrocade.ar(100, 255, reg4:2r00000111, reg5:MouseX.kr(0, 255), reg6:2r00001111, reg7:MouseY.kr(0, 255)))}.play {Mix(Astrocade.ar(MouseX.kr(0, 255), LFPulse.kr((0.1..5)*30), LFPulse.kr((0.1..5)*40), LFPulse.kr((0.1..5)*50), reg5: 2r00000111, reg6:2r01110111).dup)}.play

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/Extensions/f0plugins/Astrocade/HelpSource/Classes/Astrocade.schelp
link::Classes/Astrocade::